Microsoft Auto Updater for Mac CVE-2016-7300 Local Privilege Escalation Vulnerability

ID SMNTC-94784
Type symantec
Reporter Symantec Security Response
Modified 2016-12-13T00:00:00



Microsoft Auto Updater for Mac is prone to a local privilege-escalation vulnerability. A local attacker can leverage this issue to execute arbitrary code with elevated privileges.

Technologies Affected

  • Microsoft Auto Updater for Mac


Permit local access for trusted individuals only. Where possible, use restricted environments and restricted shells.
Ensure that only trusted users have local, interactive access to affected computers.

Implement multiple redundant layers of security.
Since this issue may be leveraged to execute code, we recommend memory-protection schemes, such as non-executable stack/heap configurations and randomly mapped memory segments. This tactic may complicate exploits of memory-corruption vulnerabilities.

Updates are available. Please see the references or vendor advisory for more information.